<?php

session_start(); 
$_SESSION['pmessagetype'] = 0;
  
if (!isset($_POST['GameID']))
{
  $_SESSION['pmessage'] = "No game ID found, exiting.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: playerjoin.php");    
}

if (!isset($_POST['PlayerInGameID']))
{
  $_SESSION['pmessage'] = "No PlayerInGameID found, exiting.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: playerjoin.php");  
}
$PlayerInGameID = $_POST['PlayerInGameID']; 
$GameID = $_POST['GameID'];

if (!isset($_POST['Turn']))
{
  $_SESSION['pmessage'] = "No Turn found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$Turn = $_POST['Turn'];

if (!isset($_POST['MinCapacity']))
{
  $_SESSION['pmessage'] = "No MinCapacity found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}

$UseDefaultMessage = 1;

$MinCapacity=$_POST['MinCapacity'];

$_SESSION['pmessage'] = "";

if (!isset($_POST['MaxCapacity']))
{
  $_SESSION['pmessage'] = "No MaxCapacity found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$MaxCapacity = $_POST['MaxCapacity']; 

if (!isset($_POST['Amount']))
{
  $_SESSION['pmessage'] = "No Amount found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");  
}

$Amount = $_POST['Amount'];

if ($Amount < $MinCapacity)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . " You cannot bid lower than you minimum capacity! Used minimum capacity instead. ";
  $_SESSION['pmessagetype'] = 1;   
  $Amount = $MinCapacity;  
}

if ($Amount > $MaxCapacity)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . " You cannot bid more than you can possibly produce! Used maximum capacity instead. ";
  $_SESSION['pmessagetype'] = 1; 
  $Amount = $MaxCapacity;
}

if (!isset($_POST['Rate']))
{
  $_SESSION['pmessage'] = "No Rate found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");    
}

$Rate = round($_POST['Rate'],2);

if ($Rate < 0)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] ." You cannot bid a negative amount! Bid placed at \$0.";
  $_SESSION['pmessagetype'] = 1; 
  
  $Rate = 0;  
}

if ($Rate > 0.5)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] ." You cannot bid more than \$M0.5/MWh. Bid placed at \$M0.5/MWh";
  $_SESSION['pmessagetype'] = 1; 
  $Rate = 0.5;
}

// Get the turnhistoryID for this turn
include_once("dbconnect.php");
include_once("validateplayer.php");
$TurnData = mysqli_query($con, "SELECT TurnHistoryID FROM TurnHistory WHERE GameID=$GameID AND Turn=" . $_POST['Turn'] . ";");
if (!$TurnData)
{
   $_SESSION['pmessage'] = "Error checking for the turnhistoryID.";
   $_SESSION['pmessagetype'] = 1; 
   $con->close();
   header("location: play.php?GameID=$GameID");
   die;  
}

if ($TurnRow = mysqli_fetch_row($TurnData))
{
  $TurnHistoryID = $TurnRow[0];
}
else
{
   $_SESSION['pmessage'] = "Error checking for the turnhistoryID, no turn in the database!!!";
   $_SESSION['pmessagetype'] = 1; 
   $con->close();
   header("location: play.php?GameID=$GameID");
   die;  
}

// verify that the user has not yet placed a bid this turn          (assert: this should never happen, but hey)
$CheckData = mysqli_query($con, "SELECT BidID FROM Bids WHERE TurnHistoryID=$TurnHistoryID AND PlayerInGameID=$PlayerInGameID;");
if (!$CheckData)
{
   $_SESSION['pmessage'] = "Error checking for the existing bids.";
   $_SESSION['pmessagetype'] = 1; 
   $con->close();
   header("location: play.php?GameID=$GameID");
   die;  
}
if ($CheckData->num_rows>0)
{
     $_SESSION['pmessage'] = "Error: Existing bid already present.  Bid not changed.";
   $_SESSION['pmessagetype'] = 1; 
   $con->close();
   header("location: play.php?GameID=$GameID");
   die;  
}

// the import the bid!
$SetBid = mysqli_query($con, "INSERT INTO Bids (Amount, Rate, Turn, PlayerInGameID, TurnHistoryID) VALUES ($Amount, $Rate, $Turn, $PlayerInGameID, $TurnHistoryID);");
if ($SetBid)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . "Bid placed.";
     
}
else
{
  $_SESSION['pmessage'] = "Unspecified error: bid not placed.";
  //$_SESSION['pmessage'] = "INSERT INTO Bids (Amount, Rate, Turn, PlayerInGameID, TurnHistoryID) VALUES ($Amount, $Rate, $Turn, $PlayerInGameID, $TurnHistoryID);";
  $_SESSION['pmessagetype'] = 1;
} 


$con->close();
header("location: play.php?GameID=$GameID");

?>