<?php

session_start(); 
$_SESSION['pmessagetype'] = 0;
  
if (!isset($_POST['GameID']))
{
  $_SESSION['pmessage'] = "No game ID found, exiting.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: playerjoin.php");    
}

if (!isset($_POST['PlayerInGameID']))
{
  $_SESSION['pmessage'] = "No PlayerInGameID found, exiting.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: playerjoin.php");  
}
$PlayerInGameID = $_POST['PlayerInGameID']; 
$GameID = $_POST['GameID'];

if (!isset($_POST['Turn']))
{
  $_SESSION['pmessage'] = "No Turn found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$Turn = $_POST['Turn'];

if (!isset($_POST['TurnHistoryID']))
{
  $_SESSION['pmessage'] = "No TurnHistoryID found, could not place bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$TurnHistoryID = $_POST['TurnHistoryID'];

if (!isset($_POST['BidID']))
{
  $_SESSION['pmessage'] = "No BidID found, could not change bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$BidID = $_POST['BidID']; 
$TurnHistoryID = $_POST['TurnHistoryID'];

if (!isset($_POST['MinCapacity']))
{
  $_SESSION['pmessage'] = "No MinCapacity found, could not change bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}


$MinCapacity=$_POST['MinCapacity'];

$_SESSION['pmessage'] = "";

if (!isset($_POST['MaxCapacity']))
{
  $_SESSION['pmessage'] = "No MaxCapacity found, could not change bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");
}
$MaxCapacity = $_POST['MaxCapacity']; 

if (!isset($_POST['Amount']))
{
  $_SESSION['pmessage'] = "No Amount found, could not change bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");  
}

$Amount = $_POST['Amount'];

if ($Amount < $MinCapacity)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . " You cannot bid lower than you minimum capacity! Used minimum capacity instead. ";
  $_SESSION['pmessagetype'] = 1;   
  $Amount = $MinCapacity;  
}

if ($Amount > $MaxCapacity)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . " You cannot bid more than you can possibly produce! Used maximum capacity instead. ";
  $_SESSION['pmessagetype'] = 1; 
  $Amount = $MaxCapacity;
}

if (!isset($_POST['Rate']))
{
  $_SESSION['pmessage'] = "No Rate found, could not change bid.";
  $_SESSION['pmessagetype'] = 1; 
  header("location: play.php?GameID=$GameID");    
}

$Rate = round($_POST['Rate'],2);

if ($Rate < 0)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] ." You cannot bid a negative amount! Bid placed at \$0.";
  $_SESSION['pmessagetype'] = 1; 
  
  $Rate = 0;  
}

if ($Rate > 0.5)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] ." You cannot bid more than \$ M0.5/MWh. Bid placed at \$ M0.5/MWh";
  $_SESSION['pmessagetype'] = 1; 
  $Rate = 0.5;
}

include_once("dbconnect.php");
include_once("validateplayer.php");
// the import the bid!
$SetBid = mysqli_query($con, "UPDATE Bids SET Amount=$Amount, Rate=$Rate WHERE BidID=$BidID;");
if ($SetBid)
{
  $_SESSION['pmessage'] = $_SESSION['pmessage'] . "Bid changed.";
     
}
else
{
  $_SESSION['pmessage'] = "Unspecified error: bid not changed. Perhaps the bid does not exist?";  
  $_SESSION['pmessagetype'] = 1;
} 


$con->close();
header("location: play.php?GameID=$GameID");

?>