<?php

//This should be run occasionally.  It deletes games elegantly which have completed.
include_once("dbconnect.php");

$gamesresult = mysqli_query($con, "SELECT GameID FROM Games WHERE Status>1;");

if (!$gamesresult)
{
  echo "Error checking games. Aborting";
  $con->close();
  die;
}

$N = mysqli_num_rows($gamesresult);
echo "Deleting data from $N games.<P>";
while ($gamesrow=mysqli_fetch_row($gamesresult))
{
  
  $GameID = $gamesrow[0];
  echo "Deleting from <B>Game $GameID</B><BR>";  
  
  $result = mysqli_query($con, "DELETE FROM WeatherStationsInGames WHERE GameID=$GameID;");
  if ($result)
  {
    echo "Deleted weather data for game $GameID<BR>";
  }
  else
  {
    echo "Error: weather data for game $GameID could not be deleted<BR>";
  }
  
  $playerresult = mysqli_query($con, "SELECT PlayerInGameID FROM PlayerInGames WHERE GameID=$GameID;");
  while ($playerrow=mysqli_fetch_row($playerresult))
  {
    $PID = $playerrow[0];
    $result = mysqli_query($con, "DELETE FROM Bids WHERE PlayerInGameID=$PID;");
    if ($result)
    {
      echo "Deleted bid data for game $GameID player $PID<BR>";
    }
    else
    {
      echo "Error: Could not delete bid data for game $GameID player $PID<BR>";
    }
  }  
  
  $result = mysqli_query($con, "DELETE FROM PlayerInGames WHERE GameID=$GameID;");
  if ($result)
  {
    echo "Deleted player data for game $GameID<BR>";
  }
  else
  {
    echo "Error: player data for game $GameID could not be deleted<BR>";
  }
  
  $result = mysqli_query($con, "DELETE FROM PowerPlants WHERE GameID=$GameID;");
  if ($result)
  {
    echo "Deleted power plant data for game $GameID<BR>";
  }
  else
  {
    echo "Error: power plant data for game $GameID could not be deleted<BR>";
  }
  
  $result = mysqli_query($con, "DELETE FROM TurnHistory WHERE GameID=$GameID;");
  if ($result)
  {
    echo "Deleted turn history data for game $GameID<BR>";
  }
  else
  {
    echo "Error: turn history  data for game $GameID could not be deleted<BR>";
  }
  
  $result = mysqli_query($con, "DELETE FROM DemandForecast WHERE GameID=$GameID;");
  if ($result)
  {
    echo "Deleted demand forecast data for game $GameID<BR>";
  }
  else
  {
    echo "Error: demand forecast data for game $GameID could not be deleted<BR>";
  }  
  
}

$result = mysqli_query($con, "DELETE FROM Games WHERE Status>1;");
if ($result)
{
  echo "Deleted all games which have finished.<BR>";
}
else
{
  echo "Error: Data for Games table not deleted.<BR>";
}

$con->close();
echo "<BR>Done.";


?>