 
  <?php 
  session_start();
  include_once("validateplayer.php");
  include_once("dbconnect.php");
  include_once("drawmap.php");  
  include_once("drawleaderboard.php");
  include_once("drawbidresults.php");
  include_once("buymenu.php");
  include_once("bidmenu.php");
  include_once("drawpowerdemand.php");
  
  // read key game information in order to display results
  if (isset($_GET['GameID']))
  {
    $GameID = $_GET['GameID'];
    // Very dangerous!  Need to santize this.
    //$gamedata = mysqli_query($con, "SELECT Games.Date, Games.Time, Games.Turn, Games.Status, Games.GameTitle, Games.MaxTurns, Maps.MapName, Maps.MapID, Maps.ImgURL, Maps.NumRows, Maps.NumCols FROM Games INNER JOIN Maps on Games.MapID=Maps.MapID WHERE Games.GameID=$GameID LIMIT 1;");
    $gamedata = $con->query("SELECT Games.Date, Games.Time, Games.Turn, Games.Status, Games.GameTitle, Games.MaxTurns, Maps.MapName, Maps.MapID, Maps.ImgURL, Maps.NumRows, Maps.NumCols, Games.GameDataID, Games.Message FROM Games INNER JOIN Maps on Games.MapID=Maps.MapID WHERE Games.GameID=$GameID LIMIT 1;");
    if (!$gamedata)
    {
      echo "Error 1: Could not find GameID $GameID or matching Map";
      die;
    }
    else
    {
      $gamerow=mysqli_fetch_row($gamedata);      
      if (!$gamerow)
      {
        echo "Error 2: Could not find GameID or matching Map";
        die;
      }
      $GameDate = date("l, F j, Y", strtotime($gamerow[0]));      
      $GameTime = $gamerow[1];
      $GameTurn = $gamerow[2];
      $GameStatus = $gamerow[3];
      $GameTitle = $gamerow[4];
      $MaxTurns = $gamerow[5];
      $MapName = $gamerow[6];
      $MapID = $gamerow[7];
      $MapURL = $gamerow[8];
      $MapNumRows = $gamerow[9];
      $MapNumCols = $gamerow[10];
      $GameDataID = $gamerow[11];
      $GameMessage = $gamerow[12];
    }
  }
  else
  {
    echo "Error 3: Missing GameID";
    die;
  }
  
  if (isset($_GET['View']))
  {
    $View = round($_GET['View']);
    if ($View < 0 or $View > 4) 
    {
      $View = 0;
    }    
  }
  else
  {
    $View = 0; 
    // 0 = Main
    // 1 = Weather
    // 2 = Annual Avg. Sunshine
    // 3 = Annual Avg. Wind
    // 4 = Land Index
  }
  
  if (isset($_SESSION['pid']))
  {
    $PlayerID = $_SESSION['pid'];
    
    // get all of the player information
    $PlayerResult = mysqli_query($con, "SELECT TeamName, Color, Cash, MinCapacity, MaxCapacity, PlayerInGameID FROM PlayerInGames WHERE GameID=$GameID AND PlayerID=$PlayerID;");
    if (!$PlayerResult)
    {
      echo "Error 10: Could not find Player $PlayerID in Game $GameID ";
      echo "<BR>";
      echo "SELECT TeamName, Color, Cash, MinCapacity, MaxCapacity FROM PlayerInGames WHERE GameID=$GameID AND PlayerID=$PlayerID;";
      die;
    }
    else
    {
      $PlayerRow=mysqli_fetch_row($PlayerResult);      
      if (!$PlayerRow)
      {
        echo "Error 21: Could not find PlayerID";
        die;
      }
      $TeamName = $PlayerRow[0];
      $Color = $PlayerRow[1];
      $Cash = $PlayerRow[2];
      $MinCapacity = $PlayerRow[3];
      $MaxCapacity = $PlayerRow[4];
      $PlayerInGameID = $PlayerRow[5];
    }         
  }
  else
  {
    echo "Error 16: Missing PlayerID";
    die;
  }
  
  
  ?>
  
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<HTML>
	<HEAD>
		<TITLE>
    <?php echo "Blackout: Playing $GameTitle"; ?>    
    </TITLE>
		<META NAME="keywords" CONTENT="Blackout Eduational Video Game Sustainability Energy Power Systems">
		<META NAME="description" CONTENT="Blackout: Classroom Edition">
		<META NAME="rating" CONTENT="general">
		<META NAME="Copyright" CONTENT="(C) 2014 McMaster University">
		<META NAME="Robots" CONTENT="all">
		<META NAME="Authors" CONTENT="Thomas A. Adams II">
		<LINK REL="stylesheet" HREF="css/game.css" TYPE="text/css">		
	</HEAD>
  <BODY>

      
      
  <!-- Left Column -->
  <DIV ID='col1'>
  

    
    <!-- Game Date and Time -->
    <DIV CLASS='headerleft'><DIV CLASS='Time'>   
    <?php 
      
      
      if ($GameTime == 0)
      {
        echo "Midnight ";
      } 
      elseif ($GameTime == 12)
      {
        echo "Noon ";
      }
      elseif ($GameTime < 12)
      {
        echo "$GameTime am ";
      }
      else
      {
        $GT2 = $GameTime - 12;
        echo "$GT2 pm  ";
      }
      
      echo "</DIV><DIV CLASS='Date'>$GameDate</DIV>";
    
    ?> 
    </DIV>
    
    <!-- Map Buttons -->
    <DIV CLASS='headerright'>
       
       <?php
       
         for ($i=0; $i<=4; $i++)
         {
           
           if ($View==$i)
           {
             // classtype defined in game.css
             $ClassType = "MenuButtonSelected";             
           }
           else
           {
             $ClassType = "MenuButtonOther";
           }
           
           echo "<DIV CLASS='$ClassType' onclick='location.href=\"play.php?GameID=$GameID&View=$i\";'>";
           
           switch ($i)
           {
             case 0:
               echo "Buildings";
               break;
             case 1: 
               echo "Weather";
               break;
             case 2:
               echo "Avg. Sun";
               break;
             case 3: 
               echo "Avg. Wind";
               break;
             case 4:
               echo" Land Costs";
               break;  
           }
           
           echo "</DIV>";
                      
         }
                        
       
       ?>
       <DIV CLASS='MenuButtonQuit' onclick='location.href="playerjoin.php";'>Quit</DIV>
       
    </DIV>
    
    <!-- Map Area -->
    <DIV CLASS='full'>
       <?php        
       DrawMap($MapID, $MapURL, $MapNumRows, $MapNumCols, $GameID, $View, $con, $GameTime); ?>
    </DIV>
    
    <!-- Game Message -->
    <?php
      if (!is_null($GameMessage))
      {
        echo "<DIV CLASS='rowspacer'> </DIV><div class='messagewindow'><div class='messagewindowheader'>Game Message</div><div class='smessagewindowcontent'>$GameMessage</div></div></div>";
      }
    ?>
  
  </DIV>
  
  <!-- Right Column -->
  <DIV ID='col2'>
    <!-- Turn/Status -->
    <DIV CLASS='headerleft'>
      <DIV CLASS='Date'>
      <?php echo $TeamName . ",&nbsp;&nbsp;"; ?>
      </DIV>    
      <DIV CLASS='Time'>
      <?php 
        if ($GameStatus==0)
        {
          echo "Waiting to Start";
        }
        elseif ($GameStatus==2)
        {
          echo "Game Finished after $GameTurn Turns";
        }
        else
        {
          echo "Turn $GameTurn of $MaxTurns";
        }
      ?>
      </DIV>
    </DIV>
    
    <!-- Game Title -->
    <DIV CLASS='headerright'>
      <?php echo($GameTitle); ?>
    </DIV>
    
    <!-- Score Table -->
    <DIV CLASS='full'>
    <?php DrawLeaderboard($GameID, $con, $PlayerID); ?>
    </DIV>
    
    <DIV CLASS='rowspacer'> </DIV>
    
    
    <!-- Bid Header -->
    
           
    <?php 
      if ($GameTurn<2 or $GameStatus==0)
      {
        // show nothing...
      }
      else  
      {
      
        echo "<DIV CLASS='headerleft'>";    
        echo "<DIV CLASS='Time'>Last Bid Round</DIV></DIV>";
        
             
        $t = $GameTurn-1;
            
        $turndata = $con->query("SELECT TotalProduced, TotalPurchased, TurnHistoryID FROM TurnHistory WHERE GameID=$GameID AND Turn=$t;");
        if (!$turndata)
        {
          echo "<DIV CLASS='headerright'>(No bids received)</DIV>";
        }
        else
        {
          $turnrow = mysqli_fetch_row($turndata);        
          //echo "<DIV CLASS='headerright'>Total Produced: ". $turnrow[0] . " Total Delivered to Grid: " . $turnrow[1] . "</DIV>";
          echo "<DIV CLASS='headerright'>&nbsp;</DIV>";
          //<!-- Bid Results -->
          echo "<DIV CLASS='full'>";
          DrawBidResults($turnrow[2], $con);
          echo "</DIV>";        
        }
        echo "<DIV CLASS='rowspacer'> </DIV>";
      }  
    ?>  
      
      
      
    
    <!-- Power Demand -->
    <DIV CLASS='full'>
    <DIV CLASS='headerleft'><DIV CLASS='Time'>Projected Power Demand (MW)</DIV></DIV>
    <DIV CLASS='headerright'>&nbsp;</DIV>    
    </DIV>    
    <?php DrawPowerDemand($GameTime, $GameID, $con);    ?>
    
   
    <DIV CLASS='rowspacer'> </DIV>
    
    <!-- Place Bids -->
    <?php
    if ($GameStatus==1) // debug, change to 1 when finished
    {
      echo "<DIV CLASS='headerleft'><DIV CLASS='Time'>Place A Bid</DIV></DIV>";
      echo "<DIV CLASS='headerright'><DIV CLASS='Date'>$TeamName</DIV></DIV>";
    
      echo "<DIV CLASS='full'>";    
      // NEED TO GET PLAYER IN GAME ID.
      BidMenu($con, $GameID, $PlayerInGameID, $GameTurn);      
      echo "</DIV>";
    }
    ?>
    
    <DIV CLASS='rowspacer'> </DIV>
    
    <!-- Buy Plants -->
    <?php
    if ($GameStatus==1)
    {
      echo "<DIV CLASS='headerleft'><DIV CLASS='Time'>Build Power Plant</DIV></DIV>";
      echo "<DIV CLASS='headerright'><DIV CLASS='Date'>$TeamName</DIV></DIV>";
    
      echo "<DIV CLASS='full'>";    
      // NEED TO CHANGE TO PLAYER IN GAME ID!!!
      BuyMenu($con, $GameID, $PlayerID, $GameDataID, $Color, $MapID, $MapURL, $MapNumRows, $MapNumCols, $PlayerInGameID, $GameTurn);      
      echo "</DIV>";
    }
    ?>
    
     <DIV CLASS='rowspacer'> </DIV>
                        <?php      
      include("pmessagewindow.php"); 
      ?>
  
  </DIV>
  
  
  
  </BODY>
</HTML>
<?php $con->close(); ?>  