<?php

function DrawLeaderboard($GameID, $con, $PlayerID=0)
{
  
  
   // get the players involved in this game and sort by score.
   
   $players = mysqli_query($con, "SELECT TeamName, Color, Cash, MinCapacity, MaxCapacity, TotalFuelBurned, TotalCO2Emitted, TotalPowerProduced, Score, PlayerID FROM PlayerInGames WHERE GameID=$GameID ORDER BY Score DESC;");
   if (!$players)
    {
      echo "Error 3: Could not find player information";
      return;      
    }
    else
    {
      echo "<TABLE CLASS='Standard'><TR>";
      echo "<TH CLASS='Standard'>Player (Ranked)</Th>";
      echo "<TH CLASS='Standard'>Score</Th>";
      echo "<TH CLASS='Standard'>Capacity (MW)</Th>";
      echo "<TH CLASS='Standard'>Cash (\$M)</Th>";
      echo "<TH CLASS='Standard'>CO<SUB>2</SUB> (tonne)</Th>";
      echo "<TH CLASS='Standard'>Ele (MWh) </Th>";

   
      echo "</TR>";
      if ($players->num_rows<=0)
      {
        echo "</TABLE><P>No players have signed up yet";
      }      
      else
      {
        $MinProd = 0;
        $MaxProd = 0;
        $TotCO2 = 0;
        $TotEle = 0;
        while($playerrow=mysqli_fetch_row($players))
        {
          echo "<TR>";
        
          echo "<TD CLASS='Standard BGColor" . $playerrow[1] . "' Style='text-align:left;'>";
        
          if ($PlayerID > 0 and $playerrow[9]==$PlayerID)
          {  
            echo "<B>";
          }
          
          echo ($playerrow[0]);
          
          if ($PlayerID > 0 and $playerrow[9]==$PlayerID)
          {  
            echo "</B>";
          } 
          echo "</TD>";
          echo "<TD CLASS='Standard' Style='text-align:right;'>" . $playerrow[8] . "</TD>";
          if ($playerrow[3] == $playerrow[4])
          {
            echo "<TD CLASS='Standard' Style='text-align:right;'>" . $playerrow[3] . "</TD>";
          }
          else
          {        
            echo "<TD CLASS='Standard' Style='text-align:right;'>" . $playerrow[3] . "-" . $playerrow[4] .  "</TD>";
          }
          $MinProd = $MinProd + $playerrow[3];
          $MaxProd = $MaxProd + $playerrow[4];
          echo "<TD CLASS='Standard' Style='text-align:right;'>$" . $playerrow[2] . "</TD>";
          echo "<TD CLASS='Standard' Style='text-align:right;'>" . $playerrow[6] . "</TD>";
          echo "<TD CLASS='Standard' Style='text-align:right;'>" . $playerrow[7] . "</TD>";
          
          $TotCO2 =$TotCO2 + $playerrow[6];
          $TotEle =$TotEle + $playerrow[7];
        }
        echo "<TR><TD CLASS='Standard'  Style='text-align:right;' COLSPAN=2>Totals</TD><TD CLASS='Standard' Style='text-align:right;'>$MinProd-$MaxProd</TD><TD CLASS='Standard'  Style='text-align:right;' COLSPAN=2> $TotCO2</TD><TD CLASS='Standard'  Style='text-align:right;'>$TotEle</TD></TR>";
        echo "</TABLE>";  
           
      }
      
    }
   

}


?>